curl --request POST \
--url https://api.technologychecker.io/v1/technologies/lookup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"names": [
"React",
"Shopify",
"NonExistentTech"
]
}
'{
"success": true,
"data": {
"found": [
{
"id": 268,
"name": "React",
"category": "JavaScript Frameworks"
}
],
"not_found": [
"NonExistentTech"
],
"found_count": 2,
"not_found_count": 1
}
}Look up multiple technologies by their exact names in a single request. Useful for mapping detected technology names to IDs.
curl --request POST \
--url https://api.technologychecker.io/v1/technologies/lookup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"names": [
"React",
"Shopify",
"NonExistentTech"
]
}
'{
"success": true,
"data": {
"found": [
{
"id": 268,
"name": "React",
"category": "JavaScript Frameworks"
}
],
"not_found": [
"NonExistentTech"
],
"found_count": 2,
"not_found_count": 1
}
}API key in format tapi_live_[32-char] (live) or tapi_test_[32-char] (test)
Array of technology names to look up (max 100)
100["React", "Shopify", "NonExistentTech"]Was this page helpful?